cdev_add
Prev | Chapter 18. Char devices | Next

## Name

cdev_add — add a char device to the system

## Synopsis

`int cdev_add (` | struct cdev * | p,
| dev_t | dev,
| unsigned | count`)`;

## Arguments

`p`

  the cdev structure for the device

`dev`

  the first device number for which this device is responsible

`count`

  the number of consecutive minor numbers corresponding to this device

## Description

`cdev_add` adds the device represented by `p` to the system, making it live immediately. A negative error code is returned on failure.

Prev | Up | Next
unregister_chrdev_region | Home | cdev_del